## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate virtio-vsock

Name:           rust-virtio-vsock
Version:        0.8.0
Release:        %autorelease
Summary:        Virtio vsock device implementation

License:        Apache-2.0 OR BSD-3-Clause
URL:            https://crates.io/crates/virtio-vsock
Source0:        %{crates_source}
# Missing license files within the crate.
# Reported upstream: https://github.com/rust-vmm/vm-virtio/issues/298
Source100:      https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-APACHE
Source101:      https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-BSD-3-Clause

# Package dependencies vmm-sys-util and virtio-bindings not built for s390x
ExcludeArch:    s390x
# We depend on rust-vmm crates that don't support 32 bit targets
ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Virtio vsock device implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD-3-Clause

%prep
%autosetup -n %{crate}-%{version} -p1
cp -p %{SOURCE100} %{SOURCE101} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 14 2024 Sergio Lopez <slp@redhat.com> - 0.8.0-1
- Update to version 0.8.0

* Mon Aug 05 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 0.6.0-2
- Simplified the spec file

* Thu Aug 01 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 0.6.0-1
- Initial import
## END: Generated by rpmautospec
